// DateienFilter.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::IO;

int main(array<System::String ^> ^args)
{
   // Vollständigen Pfad des aktuellen Verzeichnisses ermitteln
   String^ verzeichnisname = Directory::GetCurrentDirectory();

   // Alle CPP-Dateien in Verzeichnis mit vollständigem Pfad auflisten
   array<String^>^ dateinamen = Directory::GetFiles(verzeichnisname, "*.cpp");

   Console::WriteLine("\n CPP-Dateien in aktuellem Verzeichnis : \n");
   for each (String^ dateiname in dateinamen)
      Console::WriteLine(" " + dateiname);



   // Alle CPP-Dateien in Verzeichnis nur mit Name auflisten
   DirectoryInfo^ verzeichnis = gcnew DirectoryInfo(verzeichnisname);
   array<FileInfo^>^ dateien = verzeichnis->GetFiles("*.cpp");

   Console::WriteLine("\n CPP-Dateien in aktuellem Verzeichnis : \n");
   for each (FileInfo^ datei in dateien)
      Console::WriteLine(" " + datei->Name);



   // Alle CPP-Dateien in Verzeichnis mit Name und Erstellungsdatum auflisten
   Console::WriteLine("\n CPP-Dateien in aktuellem Verzeichnis : \n");
   for each (FileInfo^ datei in dateien)
      Console::WriteLine(" " + datei->Name->PadLeft(30)
                        +" \t (" + File::GetCreationTime(datei->FullName) + ")" );


   Console::ReadLine();
   return 0;
}
